Partial Class FrmMain

	Private Sub ER_ClickSelectedMenuItem()
		RaiseEvent ClickSelectedMenuItem(BsAutomationElements.Current.CurrentNativeWindowHandle, DgvAppMenu.SelectedRows(0).Cells(2).Text.ParseToInteger)
	End Sub

	Private Sub ER_WriteMenuClickCode()
		RaiseEvent WriteMenuClickCode(GetSelectedMenuItemID)
	End Sub

	Private Sub ER_WriteReturnValueIntoBox(ReturnValue As IEnumerable(Of Object))
		RaiseEvent WriteReturnValueIntoBox(ReturnValue)
	End Sub

	Private Sub ER_WriteMethodInvokationCode()
		RaiseEvent WriteMethodInvokationCode(GetSelectedAutomationID(), BsPatterns.Current.Name, BsPatternMethodInfos.Current.Name, GetParameterListForCodeRecorder())
	End Sub

	Private Sub ER_MarkSubBox()
		If Not ChbMarkBox.Checked Then Return

		RaiseEvent MarkSubBox(GetSubBoxBorder)
	End Sub

	Private Function CodeRecorderIsActive() As Boolean
		Dim IsRecording = False
		RaiseEvent CodeRecorderIsRecording(IsRecording)
		Return IsRecording
	End Function

	Private Sub ER_RunExistingApp(FilePath As String)
		RaiseEvent RunExistingApp(FilePath)
	End Sub

	Private Sub ER_WriteAppStartCode(FilePath As String)
		RaiseEvent WriteAppStartCode(FilePath)
	End Sub

	Private Sub ER_RetrieveMenuDataForSelectedApp(App As Interop.UIAutomationClient.IUIAutomationElement)
		RaiseEvent RetrieveMenuDataForSelectedApp(App)
	End Sub

	Private Sub ER_WriteAppSelectionCode(AppName As String)
		RaiseEvent WriteAppSelectionCode(AppName)
	End Sub

	Private Function ER_GetMenuItemList() As MenuItemList
		Dim MenuItemList As MenuItemList = Nothing
		RaiseEvent GetMenuItemList(MenuItemList)
		Return MenuItemList
	End Function

	Private Sub ER_ToggleCodeRecordingMode()
		RaiseEvent ToggleCodeRecordingMode()
	End Sub

	Private Sub ER_MoveRecordedCodeIntoClipboard()
		RaiseEvent MoveRecordedCodeIntoClipboard()
	End Sub

	Private Sub ER_ClearRecordedCode()
		RaiseEvent ClearRecordedCode()
	End Sub

End Class