﻿Friend Interface IMain

	Sub Show()

	Event RetrieveMenuDataForSelectedApp(App As Interop.UIAutomationClient.IUIAutomationElement)
	Event WriteMenuClickCode(MenuItemID As Integer)
	Event ClickSelectedMenuItem(WindowHandle As IntPtr, MenuItemID As Integer)
	Event WriteMethodInvokationCode(SelectedAutomationID As String, PatternName As String, MethodName As String, ParameterList As String)
	Event WriteAppSelectionCode(AppName As String)
	Event WriteReturnValueIntoBox(ReturnValue As IEnumerable(Of Object))
	Event RunExistingApp(FilePath As String)
	Event WriteAppStartCode(AppFilePath As String)
	Event ToggleCodeRecordingMode()
	Event MoveRecordedCodeIntoClipboard()
	Event ClearRecordedCode()
	Event GetMenuItemList(ByRef MenuItemList As MenuItemList)
	Event CodeRecorderIsRecording(ByRef IsRecording As Boolean)
	Event MarkSubBox(Rectangle As Rectangle)

End Interface